libzypp 17.37.10

zyppng::NestedAsyncOpMixin< Base, Result > Struct Template Reference

`#include <zypp-core/zyppng/async/asyncop.h>`

## Public Member Functions
template<typename ... Args>
void | operator() (Args &&...args)

## Private Attributes
AsyncOpRef< Result > | _nestedPipeline

## Detailed Description

template<typename Base, typename Result = typename Base::value_type>
struct zyppng::NestedAsyncOpMixin< Base, Result >

Helper mixin for AsyncOp types that host a inner pipeline for their logic. This is useful if a lot of state has to be preserved over a longer pipeline, instead of capturing all the seperate variables into the lambda callbacks it makes more sense to use a containing AsyncOp to help with it.

Definition at line 266 of file asyncop.h.

## Member Function Documentation

## ◆ operator()()

template<typename Base, typename Result = typename Base::value_type>
template<typename ... Args>

void zyppng::NestedAsyncOpMixin< Base, Result >::operator() | ( | Args &&... | args | ) |
| inline

Definition at line 269 of file asyncop.h.

## Member Data Documentation

## ◆ _nestedPipeline

template<typename Base, typename Result = typename Base::value_type>

AsyncOpRef<Result> zyppng::NestedAsyncOpMixin< Base, Result >::_nestedPipeline
| private

Definition at line 278 of file asyncop.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/async/asyncop.h